de.esprit.appsuite.jversion

## Class JavaVersionScannerLinux<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.jversion.AbstractJavaVersionScanner<C>
      - - de.esprit.appsuite.jversion.JavaVersionScannerLinux<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable

      public class JavaVersionScannerLinux<C extends ApplicationContext>
      extends AbstractJavaVersionScanner<C>

  This class scans a Linux system for available Java installations.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaVersionScannerLinux(C ctx, LogChannel logCh, java.util.List<JavaVersion> versionList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.File[]` | `getDefaultScanDirectories()`
    `protected java.io.File` | `getJavaHomeDirectory()`
    `void` | `scanInstallationDir(java.io.File instDir)`

    - ### Methods inherited from class de.esprit.appsuite.jversion.AbstractJavaVersionScanner

      `processJavaVersion, scanJavaVersions`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaVersionScannerLinux

          public JavaVersionScannerLinux(C ctx,
                                 LogChannel logCh,
                                 java.util.List<JavaVersion> versionList)

  - ### Method Detail

    - #### getJavaHomeDirectory

          protected java.io.File getJavaHomeDirectory()

      Specified by:
        `getJavaHomeDirectory` in class `AbstractJavaVersionScanner<C extends ApplicationContext>`

    - #### scanInstallationDir

          public void scanInstallationDir(java.io.File instDir)
                                   throws java.lang.Exception

      Specified by:
        `scanInstallationDir` in class `AbstractJavaVersionScanner<C extends ApplicationContext>`
      Throws:
        `java.lang.Exception`

    - #### getDefaultScanDirectories

          protected java.io.File[] getDefaultScanDirectories()

      Specified by:
        `getDefaultScanDirectories` in class `AbstractJavaVersionScanner<C extends ApplicationContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.